🐬

homebrew で入れてる nodenv に欲しい version の node が表示されない時のたったひとつのcoolな答え

1 min read

TL;DR

  • $ brew upgrade nodenv node-build しろ

brewで入れてるnodenvに欲しいversionのnodeが表示されない

M1 Mac で node v14.16.0 を使おうとしたら yarn start できなかった。
v14.17.0 ではパッチがあたっているようだったので v14.17.0 を使おうとしたが
nodenv install --list しても v14.17.0 がなかったので困った

$ nodenv install --list
...(中略)
14.15.5
14.16.0
14.16.1
15.0.0
15.0.1
15.1.0
...(後略)

nodenv の他に node-build も一緒に brew upgrade してやればOK

$ brew upgrade nodenv node-build
...(略)
$ nodenv install --list
...(中略)
14.15.5
14.16.0
14.16.1
14.17.0
15.0.0
15.0.1
15.1.0
...(後略)

出てきたので あとは nodenv install 14.17.0 が通る。やったぜ。